Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class PasteOption

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.emf.clipboard.core.PasteOption

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public class PasteOption

extends org.eclipse.emf.common.util.AbstractEnumerator

An enumeration of paste options.

See Also:
  Serialized Form

Field Summary
`static PasteOption` `CRITICAL` Paste option indicating that the element(s) referenced by by an `EReference` feature of a pasted object must resolve in a successful paste operation.
`static PasteOption` `DISTANT` Paste option indicating that the copying of the elements referenced by some `EReference` feature of an object being copied is supported for "distant" pastes.
`static PasteOption` `LOCAL` Paste option indicating that the element(s) referenced by by an `EReference` feature of a pasted object must be in the same model as the pasted object.
`static PasteOption` `NORMAL` Paste option indicating that the copying of the elements referenced by some `EReference` feature of an object being copied is critically important to a successful copy.
`static PasteOption` `PARENT` Paste option indicating that the container of an object (referenced by a specific `EReference` should also be copied, in case it the actual object can't be pasted at the intended location but its container can (thus allowing the intended object also to be pasted under it).

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CRITICAL

    public static final PasteOption CRITICAL

  Paste option indicating that the element(s) referenced by by an `EReference` feature of a pasted object must resolve in a successful paste operation. If a referenced element cannot be resolved (either by locating the existing element in some model or by pasting a copy of it), then the referencing element also fails to paste. This applies to both containment and non-containment references.

### DISTANT

    public static final PasteOption DISTANT

  Paste option indicating that the copying of the elements referenced by some `EReference` feature of an object being copied is supported for "distant" pastes. These are pastes into other application instances.

### LOCAL

    public static final PasteOption LOCAL

  Paste option indicating that the element(s) referenced by by an `EReference` feature of a pasted object must be in the same model as the pasted object. That is, the reference must resolve to an element in the target model of the paste operation.

### NORMAL

    public static final PasteOption NORMAL

  Paste option indicating that the copying of the elements referenced by some `EReference` feature of an object being copied is critically important to a successful copy. If the referenced cannot be resolved (either by locating the existing element in some model or by pasting a copy of it), then the referencing element also fails to paste. This applies to both containment and non-containment references.

### PARENT

    public static final PasteOption PARENT

  Paste option indicating that the container of an object (referenced by a specific `EReference` should also be copied, in case it the actual object can't be pasted at the intended location but its container can (thus allowing the intended object also to be pasted under it).

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Returns:
    The list of constants for this enumerated type.
  See Also:
    `EnumeratedType#getValues()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.